slepc-3.21.1 2024-04-26
Report Typos and Errors

# STFilterSetDegree

Sets the degree of the filter polynomial.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterSetDegree(ST st,PetscInt deg)

Logically Collective

### Input Parameters

| st | - the spectral transformation context
| deg | - polynomial degree

### Options Database Key

| -st_filter_degree <deg> | - sets the degree of the filter polynomial

### See Also

STFilterGetDegree()

### Level

intermediate

### Location

src/sys/classes/st/impls/filter/filter.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages